c***************************************************************
c  iq,jq : data size
c       x: Longitude(deg)
c       y:  Latitude(deg)
c     dep: Sea Floor Depth(m)
c      ek: Depth-Integrated Kinetic Energy of M2 Baroclinic Tide (J/m^2)
c      pu: Depth-Integrated Eastward  Energy FLux of M2 Baroclinic Tide (W/m)
c      pu: Depth-Integrated Northward Energy FLux of M2 Baroclinic Tide (W/m)
c     cnv: Depth-Integrated Energy Conversion Rate from M2 Barotrocpic to Baroclinic Tide (W/m^2)
c***************************************************************
      integer iq,jq
      parameter(iq=1201,jq=1201)
      real x(iq),y(jq),
     @      dep(iq,jq),
     @       ek(iq,jq),
     @       pu(iq,jq),pv(iq,jq),
     @      cnv(iq,jq)
c--open data file--
      open(10,file='BCTIDE.DATA',form='unformatted')
c--read data----
      read(10) x,y
      read(10) dep
      read(10) ek
      read(10) pu
      read(10) pv
      read(10) cnv
c---------------
      stop 
      end
      
